Docs

Create Resource Attribute

POST /resource-attributes

POST/resource-attributes

Adds an attribute to the event's library and returns its id. responseType cannot be changed later, and options are required for Select and MultiSelect and refused otherwise. Place the attribute on a type with Resources_PlaceResourceTypeAttribute. Needs the event settings permission.

Request Body

FieldTypeRequiredDescription
namestringOptional
responseTypestringOptional
optionsCreateResourceAttributeRequestOption[]Optional

CreateResourceAttributeRequestOption

FieldTypeDescription
labelstring| null
typestring| null
valuestring| null